GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::overlay::validate::OffsetPointGenerator Class Reference

Generates points offset from both sides of all segments in a geometry. More...

`#include <OffsetPointGenerator.h>`

## Public Member Functions
| OffsetPointGenerator (const geom::Geometry &geom, double offset)
std::auto_ptr< std::vector < geom::Coordinate > > | getPoints ()
| Gets the computed offset points.

## Detailed Description

Generates points offset from both sides of all segments in a geometry.

The documentation for this class was generated from the following file:

- OffsetPointGenerator.h